Package fr.gouv.vitam.common.client

# Class VitamRequestBuilder

java.lang.Object
fr.gouv.vitam.common.client.VitamRequestBuilder

public class VitamRequestBuilder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VitamRequestBuilder`
  `delete()`
  `static VitamRequestBuilder`
  `get()`
  `jakarta.ws.rs.core.MediaType`
  `getAccept()`
  `String`
  `getBaseUrl()`
  `Object`
  `getBody()`
  `jakarta.ws.rs.core.MediaType`
  `getContentType()`
  `jakarta.ws.rs.core.MultivaluedMap<String,Object>`
  `getHeaders()`
  `String`
  `getHttpMethod()`
  `String`
  `getPath()`
  `Map<String,String>`
  `getQueryParams()`
  `static VitamRequestBuilder`
  `head()`
  `boolean`
  `isChunckedMode()`
  `static VitamRequestBuilder`
  `options()`
  `static VitamRequestBuilder`
  `post()`
  `static VitamRequestBuilder`
  `put()`
  `void`
  `runBeforeExecRequest()`
  `VitamRequestBuilder`
  `withAccept(jakarta.ws.rs.core.MediaType accept)`
  `VitamRequestBuilder`
  `withBaseUrl(String url)`
  `VitamRequestBuilder`
  `withBefore(Runnable beforeExecRequest)`
  `VitamRequestBuilder`
  `withBody(Object body)`
  `VitamRequestBuilder`
  `withBody(Object body, String failCheckBodyMessage)`
  `VitamRequestBuilder`
  `withChunckedMode(boolean chunckedMode)`
  `VitamRequestBuilder`
  `withContentType(jakarta.ws.rs.core.MediaType contentType)`
  `VitamRequestBuilder`
  `withHeader(String key, Object value)`
  `VitamRequestBuilder`
  `withHeaderIgnoreNull(String key, Object value)`
  `VitamRequestBuilder`
  `withHeaderReplaceExisting(String key, Object value)`
  `VitamRequestBuilder`
  `withHeaders(jakarta.ws.rs.core.MultivaluedMap<String,Object> headers)`
  `VitamRequestBuilder`
  `withJson()`
  `VitamRequestBuilder`
  `withJsonAccept()`
  `VitamRequestBuilder`
  `withJsonContentType()`
  `VitamRequestBuilder`
  `withJsonOctet()`
  `VitamRequestBuilder`
  `withNoBaseUrl()`
  `VitamRequestBuilder`
  `withNoContentType()`
  `VitamRequestBuilder`
  `withOctet()`
  `VitamRequestBuilder`
  `withOctetAccept()`
  `VitamRequestBuilder`
  `withOctetContentType()`
  `VitamRequestBuilder`
  `withOptionalHeader(String key, Object value)`
  `VitamRequestBuilder`
  `withPath(String path)`
  `VitamRequestBuilder`
  `withQueryParam(String key, String value)`
  `VitamRequestBuilder`
  `withQueryParams(Map<String,String> queryParams)`
  `VitamRequestBuilder`
  `withXMLAccept()`
  `VitamRequestBuilder`
  `withXMLContentType()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### get

    public static VitamRequestBuilder get()

  - ### post

    public static VitamRequestBuilder post()

  - ### put

    public static VitamRequestBuilder put()

  - ### delete

    public static VitamRequestBuilder delete()

  - ### head

    public static VitamRequestBuilder head()

  - ### options

    public static VitamRequestBuilder options()

  - ### runBeforeExecRequest

    public void runBeforeExecRequest()

  - ### withBaseUrl

    public VitamRequestBuilder withBaseUrl(String url)

  - ### withNoBaseUrl

    public VitamRequestBuilder withNoBaseUrl()

  - ### withJson

    public VitamRequestBuilder withJson()

  - ### withOctet

    public VitamRequestBuilder withOctet()

  - ### withJsonOctet

    public VitamRequestBuilder withJsonOctet()

  - ### withJsonContentType

    public VitamRequestBuilder withJsonContentType()

  - ### withXMLContentType

    public VitamRequestBuilder withXMLContentType()

  - ### withContentType

    public VitamRequestBuilder withContentType(jakarta.ws.rs.core.MediaType contentType)

  - ### withOctetContentType

    public VitamRequestBuilder withOctetContentType()

  - ### withNoContentType

    public VitamRequestBuilder withNoContentType()

  - ### withJsonAccept

    public VitamRequestBuilder withJsonAccept()

  - ### withOctetAccept

    public VitamRequestBuilder withOctetAccept()

  - ### withXMLAccept

    public VitamRequestBuilder withXMLAccept()

  - ### withAccept

    public VitamRequestBuilder withAccept(jakarta.ws.rs.core.MediaType accept)

  - ### withBody

    public VitamRequestBuilder withBody(Object body, String failCheckBodyMessage)

  - ### withBody

    public VitamRequestBuilder withBody(Object body)

  - ### withBefore

    public VitamRequestBuilder withBefore(Runnable beforeExecRequest)

  - ### withHeaders

    public VitamRequestBuilder withHeaders(jakarta.ws.rs.core.MultivaluedMap<String,Object> headers)

  - ### withOptionalHeader

    public VitamRequestBuilder withOptionalHeader(String key, @Nullable Object value)

  - ### withHeader

    public VitamRequestBuilder withHeader(String key, Object value)

  - ### withHeaderReplaceExisting

    public VitamRequestBuilder withHeaderReplaceExisting(String key, Object value)

  - ### withHeaderIgnoreNull

    public VitamRequestBuilder withHeaderIgnoreNull(String key, Object value)

  - ### withPath

    public VitamRequestBuilder withPath(String path)

  - ### withQueryParams

    public VitamRequestBuilder withQueryParams(Map<String,String> queryParams)

  - ### withQueryParam

    public VitamRequestBuilder withQueryParam(String key, String value)

  - ### withChunckedMode

    public VitamRequestBuilder withChunckedMode(boolean chunckedMode)

  - ### getQueryParams

    public Map<String,String> getQueryParams()

  - ### getHttpMethod

    public String getHttpMethod()

  - ### getContentType

    public jakarta.ws.rs.core.MediaType getContentType()

  - ### getAccept

    public jakarta.ws.rs.core.MediaType getAccept()

  - ### getBody

    public Object getBody()

  - ### getHeaders

    public jakarta.ws.rs.core.MultivaluedMap<String,Object> getHeaders()

  - ### getPath

    public String getPath()

  - ### isChunckedMode

    public boolean isChunckedMode()

  - ### getBaseUrl

    public String getBaseUrl()